import JSZip from 'jszip';
import { ImportedElement, ShapeModificationCallback, Workbook } from '../types/types';
import { RootPresTemplate } from '../interfaces/root-pres-template';
export declare class Shape {
    mode: string;
    name: string;
    sourceArchive: JSZip;
    sourceSlideNumber: number;
    sourceSlideFile: string;
    sourceNumber: number;
    sourceFile: string;
    sourceRid: string;
    sourceElement: XMLDocument;
    targetFile: string;
    targetArchive: JSZip;
    targetTemplate: RootPresTemplate;
    targetSlideNumber: number;
    targetNumber: number;
    targetSlideFile: string;
    targetSlideRelFile: string;
    createdRid: string;
    relRootTag: string;
    relAttribute: string;
    relParent: (element: Element) => Element;
    targetElement: XMLDocument;
    callbacks: ShapeModificationCallback[];
    hasCreationId: boolean;
    constructor(shape: ImportedElement);
    setTarget(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<void>;
    setTargetElement(): Promise<void>;
    appendToSlideTree(): Promise<void>;
    replaceIntoSlideTree(): Promise<void>;
    updateElementRelId(): Promise<void>;
    updateTargetElementRelId(): Promise<void>;
    getElementByRid(slideXml: Document, rId: string): Promise<Element>;
    applyCallbacks(callbacks: ShapeModificationCallback[], element: XMLDocument, arg1?: Document, arg2?: Workbook): void;
}
