import JSZip, { InputType } from 'jszip';
import { ICounter } from '../interfaces/icounter';
import { ISlide } from '../interfaces/islide';
import { PresTemplate } from '../interfaces/pres-template';
import { RootPresTemplate } from '../interfaces/root-pres-template';
import { ITemplate } from '../interfaces/itemplate';
import { SlideInfo } from '../types/xml-types';
export declare class Template implements ITemplate {
    /**
     * Path to local file
     * @type string
     */
    location: string;
    /**
     * An alias name to identify template and simplify
     * @type string
     */
    name: string;
    /**
     * Node file buffer
     * @type InputType
     */
    file: InputType;
    /**
     * this.file will be passed to JSZip
     * @type Promise<JSZip>
     */
    archive: Promise<JSZip>;
    /**
     * Array containing all slides coming from Automizer.addSlide()
     * @type: ISlide[]
     */
    slides: ISlide[];
    /**
     * Array containing all counters
     * @type: ICounter[]
     */
    counter: ICounter[];
    creationIds: SlideInfo[];
    constructor(location: string);
    static import(location: string, name?: string): PresTemplate | RootPresTemplate;
    setCreationIds(): Promise<SlideInfo[]>;
    appendSlide(slide: ISlide): Promise<void>;
    initializeCounter(): Promise<void>;
    incrementCounter(name: string): number;
    count(name: string): number;
}
