/// <reference types="node" />
import JSZip, { OutputType } from 'jszip';
import { AutomizerSummary } from '../types/types';
import { IPresentationProps } from '../interfaces/ipresentation-props';
export declare class FileHelper {
    static readFile(location: string): Promise<Buffer>;
    static extractFromArchive(archive: JSZip, file: string, type?: OutputType): Promise<string | number[] | Uint8Array | ArrayBuffer | Blob | Buffer>;
    static extractFileContent(file: Buffer): Promise<JSZip>;
    static getFileExtension(filename: string): string;
    /**
     * Copies a file from one archive to another. The new file can have a different name to the origin.
     * @param {JSZip} sourceArchive - Source archive
     * @param {string} sourceFile - file path and name inside source archive
     * @param {JSZip} targetArchive - Target archive
     * @param {string} targetFile - file path and name inside target archive
     * @return {JSZip} targetArchive as an instance of JSZip
     */
    static zipCopy(sourceArchive: JSZip, sourceFile: string, targetArchive: JSZip, targetFile?: string): Promise<JSZip>;
    static writeOutputFile(location: string, content: Buffer, automizer: IPresentationProps): Promise<AutomizerSummary>;
}
