import { Color, TextStyle } from '../types/modify-types';
export default class ModifyTextHelper {
    /**
     * Set text content of first paragraph and remove remaining block/paragraph elements.
     */
    static setText: (text: number | string) => (element: Element) => void;
    static content: (label: number | string) => (element: Element) => void;
    /**
     * Set text style insinde an <a:rPr> element
     */
    static style: (style: TextStyle) => (element: Element) => void;
    /**
     * Set color of text insinde an <a:rPr> element
     */
    static setColor: (color: Color) => (element: Element) => void;
    /**
     * Set size of text insinde an <a:rPr> element
     */
    static setSize: (size: number) => (element: Element) => void;
    /**
     * Set bold attribute on text
     */
    static setBold: (isBold: boolean) => (element: Element) => void;
    /**
     * Set italics attribute on text
     */
    static setItalics: (isItalics: boolean) => (element: Element) => void;
}
