import { ReplaceText, ReplaceTextOptions } from '../types/modify-types';
declare type Expressions = {
    openingTag: string;
    closingTag: string;
};
declare type CharacterSplit = {
    from: number;
    to: number;
    text: string;
};
export default class TextReplaceHelper {
    expressions: Expressions;
    element: XMLDocument;
    newNodes: Element[];
    options: ReplaceTextOptions;
    constructor(options: ReplaceTextOptions, element: XMLDocument);
    isolateTaggedNodes(): this;
    splitTextBlock(block: Element, matches: RegExpMatchArray[], textContent: string): void;
    getCharacterSplit(matches: RegExpMatchArray[], textContent: string): CharacterSplit[];
    pushCharacterSplit(split: CharacterSplit[], from: number, to: number, text: string): void;
    insertBlock(block: Element, text: string): Element;
    applyReplacements(replaceTexts: ReplaceText[]): void;
    applyReplacement(replaceText: ReplaceText, textBlock: Element, currentIndex: number): void;
    assertTextBlocks(length: number, textBlock: any): Element[];
    updateTextNode(textNode: Element, sourceText: any, replace: any, by: any): void;
    getTextElement(block: Element): Element;
    getRegExp(): RegExp;
}
export {};
