import Automizer from './automizer';
export default Automizer;
import ModifyHelper from './helper/modify-helper';
import ModifyShapeHelper from './helper/modify-shape-helper';
import ModifyTableHelper from './helper/modify-table-helper';
import ModifyChartHelper from './helper/modify-chart-helper';
import { AutomizerSummary } from './types/types';
export type { AutomizerSummary };
import { ModifyTableParams, TableData, TableRow, TableRowStyle } from './types/table-types';
import { ChartBubble, ChartCategory, ChartData, ChartSeries, ChartValueStyle } from './types/chart-types';
import { Color, ReplaceText, TextStyle } from './types/modify-types';
import { ShapeCoordinates } from './types/shape-types';
export type { ChartBubble, ChartCategory, ChartSeries, TableData, TableRow, TextStyle, ModifyTableParams, TableRowStyle, ChartData, ChartValueStyle, Color, ShapeCoordinates, ReplaceText };
export { Automizer, ModifyHelper, ModifyShapeHelper, ModifyTableHelper, ModifyChartHelper, };
export declare const modify: {
    dump: (element: Element | Document | XMLDocument) => void;
    setAttribute: (tagName: string, attribute: string, value: string | number, count?: number) => (element: XMLDocument) => void;
    setSolidFill: (element: Element | XMLDocument) => void;
    setText: (text: string) => (element: Element | XMLDocument) => void;
    replaceText: (replaceText: ReplaceText | ReplaceText[], options?: import("./types/modify-types").ReplaceTextOptions) => (element: Element | XMLDocument) => void;
    setPosition: (pos: ShapeCoordinates) => (element: Element | XMLDocument) => void;
    setTableData: (data: TableData) => (element: Element | XMLDocument) => void;
    adjustHeight: (data: TableData) => (element: Element | XMLDocument) => void;
    adjustWidth: (data: TableData) => (element: Element | XMLDocument) => void;
    setTable: (data: TableData, params?: ModifyTableParams) => (element: Element | XMLDocument) => void;
    setChartData: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setChartVerticalLines: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setChartScatter: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setChartCombo: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
    setChartBubbles: (data: ChartData) => (element: Element | XMLDocument, chart?: Document, workbook?: import("./types/types").Workbook) => void;
};
