import { ChartData, ChartColumn, ChartSlot, ChartCategory, ChartPoint, ChartBubble, ChartDataMapper, ChartSeries, ChartValueStyle } from '../types/chart-types';
import { ModificationTags, Modification } from '../types/modify-types';
import { Workbook } from '../types/types';
import ModifyXmlHelper from '../helper/modify-xml-helper';
export declare class ModifyChart {
    data: ChartData;
    height: number;
    width: number;
    columns: ChartColumn[];
    sharedStrings: Document;
    workbook: ModifyXmlHelper;
    workbookTable: ModifyXmlHelper;
    chart: ModifyXmlHelper;
    constructor(chart: XMLDocument, workbook: Workbook, data: ChartData, slot: ChartSlot[]);
    modify(): void;
    setColumns(slots: ChartSlot[]): ChartColumn[];
    setValues(): void;
    setPointStyles(): void;
    setSeries(): void;
    setSeriesDataLabels: () => void;
    sliceChartSpace(): void;
    prepareWorkbook(): void;
    setWorkbook(): void;
    sliceWorkbook(): void;
    series: (index: number, children: ModificationTags) => ModificationTags;
    chartPoint: (index: number, idx: number, style: ChartValueStyle) => ModificationTags;
    chartPointMarker: (markerStyle: ChartValueStyle['marker']) => ModificationTags;
    chartPointBorder: (style: ChartValueStyle['border']) => ModificationTags;
    seriesId: (series: number) => ModificationTags;
    seriesLabel: (label: string, series: number) => ModificationTags;
    seriesStyle: (series: ChartSeries) => ModificationTags;
    seriesDataLabelsRange: (r: number, c: number, value: string | number) => ModificationTags;
    defaultSeries(r: number, targetCol: number, point: number, category: ChartCategory): ModificationTags;
    xySeries(r: number, targetCol: number, point: number, category: ChartCategory, tag: string, mapData: ChartDataMapper, targetYCol: number): ModificationTags;
    customSeries(r: number, targetCol: number, point: number | ChartPoint | ChartBubble, category: ChartCategory, tag: string, mapData: ChartDataMapper): ModificationTags;
    point: (r: number, c: number, value: string | number) => Modification;
    colLabel(c: number, label: string): ModificationTags;
    rowAttributes(r: number, rowId: number): ModificationTags;
    rowLabels(r: number, label: string): ModificationTags;
    rowValues(r: number, c: number, value: number): ModificationTags;
    slice(tag: string, length: number): Modification;
    spanString(): ModificationTags;
    cellValue(value: number): ModificationTags;
    sharedString(label: string): ModificationTags;
    setWorkbookTable(): void;
    setWorkbookTableFirstColumn(): void;
    setWorkbookTableColumn(c: number, label: string): void;
    sliceWorkbookTable(): void;
}
