import JSZip from 'jszip';
import { Shape } from '../classes/shape';
import { HelperElement } from '../types/xml-types';
import { ImportedElement, Target, Workbook } from '../types/types';
import { IChart } from '../interfaces/ichart';
import { RootPresTemplate } from '../interfaces/root-pres-template';
export declare class Chart extends Shape implements IChart {
    sourceWorksheet: number | string;
    targetWorksheet: number | string;
    worksheetFilePrefix: string;
    wbEmbeddingsPath: string;
    wbExtension: string;
    relTypeChartColorStyle: string;
    relTypeChartStyle: string;
    wbRelsPath: string;
    styleRelationFiles: {
        [key: string]: string;
    };
    constructor(shape: ImportedElement);
    modify(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Chart>;
    append(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Chart>;
    modifyOnAddedSlide(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Chart>;
    prepare(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<void>;
    clone(): Promise<void>;
    modifyChartData(): Promise<void>;
    readWorkbook(): Promise<Workbook>;
    writeWorkbook(workbook: Workbook): Promise<void>;
    copyFiles(): Promise<void>;
    getWorksheetFilePrefix(targetRelFile: string): Promise<string>;
    appendTypes(): Promise<void>;
    copyChartFiles(): Promise<void>;
    copyChartStyleFiles(): Promise<void>;
    getChartStyles(): Promise<void>;
    appendToSlideRels(): Promise<HelperElement>;
    editTargetWorksheetRel(): Promise<void>;
    copyWorksheetFile(): Promise<void>;
    appendChartExtensionToContentType(): Promise<HelperElement | boolean>;
    appendChartToContentType(): Promise<HelperElement>;
    appendColorToContentType(): Promise<HelperElement>;
    appendStyleToContentType(): Promise<HelperElement>;
    static getAllOnSlide(archive: JSZip, relsPath: string): Promise<Target[]>;
}
