import JSZip from 'jszip';
import { Shape } from '../classes/shape';
import { HelperElement } from '../types/xml-types';
import { ImportedElement, Target } from '../types/types';
import { IImage } from '../interfaces/iimage';
import { RootPresTemplate } from '../interfaces/root-pres-template';
import { ImageTypeMap } from '../enums/image-type-map';
export declare class Image extends Shape implements IImage {
    extension: string;
    contentTypeMap: typeof ImageTypeMap;
    constructor(shape: ImportedElement);
    modify(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Image>;
    modifyOnAddedSlide(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Image>;
    append(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Image>;
    prepare(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<void>;
    copyFiles(): Promise<void>;
    appendTypes(): Promise<void>;
    appendToSlideRels(): Promise<HelperElement>;
    appendImageExtensionToContentType(): Promise<HelperElement | boolean>;
    hasSvgRelation(): boolean;
    static getAllOnSlide(archive: JSZip, relsPath: string): Promise<Target[]>;
}
