import { Color, ModificationTags } from './modify-types';
export declare type ChartPointValue = null | number;
export declare type ChartValueStyle = {
    color?: Color;
    marker?: {
        color?: Color;
    };
    border?: {
        color?: Color;
        weight?: number;
    };
    label?: {
        color?: Color;
        isBold?: Boolean;
    };
};
export declare type ChartPoint = {
    x: ChartPointValue;
    y: ChartPointValue;
};
export declare type ChartBubble = {
    x: ChartPointValue;
    y: ChartPointValue;
    size: number;
};
export declare type ChartSeries = {
    label: string;
    style?: ChartValueStyle;
};
export declare type ChartCategory = {
    label: string;
    y?: ChartPointValue;
    values: (ChartPointValue | ChartPoint | ChartBubble)[];
    styles?: (ChartValueStyle | null)[];
};
export declare type ChartColumn = {
    series?: number;
    label: string;
    worksheet: (point: ChartPointValue | ChartPoint | ChartBubble, r: number, category: ChartCategory) => void;
    chart?: (point: ChartPointValue | ChartPoint | ChartBubble, r: number, category: ChartCategory) => ModificationTags;
    isStrRef?: boolean;
    modTags?: ModificationTags;
};
export declare type ChartData = {
    series: ChartSeries[];
    categories: ChartCategory[];
};
export declare type ChartDataMapper = {
    (point: number | ChartPoint | ChartBubble, category?: ChartCategory): number;
};
export declare type ChartSlot = {
    label?: string;
    mapData?: ChartDataMapper;
    series?: ChartSeries;
    index?: number;
    targetCol: number;
    targetYCol?: number;
    type?: string;
    tag?: string;
    isStrRef?: boolean;
};
export declare type ChartAxisRange = {
    axisIndex?: number;
    min: number;
    max: number;
};
